> ## Documentation Index
> Fetch the complete documentation index at: https://www.halite-app.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Roles Route



## OpenAPI

````yaml /api/openapi.json get /api/roles
openapi: 3.1.0
info:
  title: Halite
  version: 0.1.0
servers: []
security: []
paths:
  /api/roles:
    get:
      tags:
        - roles
      summary: List Roles Route
      operationId: list_roles_route_api_roles_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleListOut'
components:
  schemas:
    RoleListOut:
      properties:
        total:
          type: integer
          title: Total
        roles:
          items:
            $ref: '#/components/schemas/RoleSummary'
          type: array
          title: Roles
      type: object
      required:
        - total
        - roles
      title: RoleListOut
    RoleSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        is_builtin:
          type: boolean
          title: Is Builtin
        description:
          type: string
          title: Description
      type: object
      required:
        - id
        - name
        - is_builtin
        - description
      title: RoleSummary

````